xterm (410-1ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Jun 2026 13:57:05 +0200

xterm (410-1) unstable; urgency=medium

  * New upstream release.
  * Update copy of XTerm FAQ.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 17 May 2026 18:39:20 +0200

xterm (409-1ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 May 2026 17:11:54 +0200

xterm (409-1) unstable; urgency=medium

  * New upstream release.
     - Improve feature which retains selection/highlighting when screen
       is scrolled (Closes: #1128961, see #291787).
     - Fill in a few more special cases for #1123877 (Closes: #1123877).
  * Bump Standards-Version to 4.7.4, no changes needed.
  * Update copy of XTerm FAQ to revision 1.432 (dated 2025/04/07).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 16 Apr 2026 18:51:19 +0200

xterm (407-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Feb 2026 17:51:56 +0100

xterm (407-1) unstable; urgency=medium

  * New upstream release.
    - Improve fix for #738794, to show boxes for codes which are
      neither combining characters or valid Unicode characters
      (Closes: #1123877).
    - Improve switching to/from UTF-8 mode by saving, restoring and
      resetting the G0-G3 array (Closes: #1124802).
  * Update upstream signing key.
  * Refresh Debian patches.
  * Convert debian/watch to version 5.
  * Drop the redundant Priority field from debian/control.
  * Bump Standards-Version to 4.7.3, no further changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 19 Feb 2026 19:19:41 +0100

xterm (406-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Dec 2025 09:18:30 +0100

xterm (406-1) unstable; urgency=medium

  * New upstream release.
    - Add option -emoji_width and resource emojiWidth to allow
      enabling/disabling VS15/VS16 feature introduced in xterm 404
      (Closes: #1123509).  Also, work around display issues by changing
      the filler character for VS16.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 22 Dec 2025 20:27:15 +0100

xterm (405-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Dec 2025 09:32:48 +0100

xterm (405-1) unstable; urgency=medium

  * New upstream release.
    - Correct sign-extension in drawing changes made in xterm 404
      (Closes: #1122519).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 15 Dec 2025 17:12:16 +0100

xterm (404-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Dec 2025 10:00:12 +0100

xterm (404-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 09 Dec 2025 18:08:02 +0100

xterm (403-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Nov 2025 13:52:03 +0100

xterm (403-1) unstable; urgency=medium

  * New upstream release.
    - Modify a special case which gives the expected width of Latin-1
      characters to account for the allowC1Printable resource
      (Closes: #1110771).
    - Adjust limits for built-in line-drawing characters
      (Closes: #1109472).
  * Modify debian/rules to set the 'disallowedWindowOps' resource to "*",
    and refresh patch 902_windowops.diff accordingly.
  * Drop the redundant Rules-Requires-Root field from debian/control.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 02 Nov 2025 17:21:57 +0100

xterm (402-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Sep 2025 18:38:26 +0200

xterm (402-1) unstable; urgency=medium

  * New upstream release.
    - Add a null-pointer check in ScrnWriteText (Closes: #1110769).
  * Refresh Debian patches.
  * Update copy of XTerm FAQ to revision 1.432 (dated 2025/04/07).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 22 Sep 2025 19:07:08 +0200

xterm (401-1) experimental; urgency=low

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 05 Jul 2025 17:21:45 +0200

xterm (399-1) experimental; urgency=low

  * New upstream release.
    - Modify one of the missing-character checks to prefer Xft's check
      over the check for missing line-drawing characters
      (Closes: #1084794).
    - Revise a limit-check in selection to fix a regression in xterm 398
      (Closes: #1105738).

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 05 Jun 2025 18:01:25 +0200

xterm (398-1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 May 2025 09:18:18 +0200

xterm (398-1) unstable; urgency=medium

  * New upstream release.
    - Improve modifyOtherKeys, by providing the UCS value for keys which
      have no single-byte representation (Closes: #1093056).
  * Update upstream signing key.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Update copy of XTerm FAQ to revision 1.432 (dated 2025/04/07).

 -- Sven Joachim <svenjoac@gmx.de>  Tue, 15 Apr 2025 19:43:44 +0200

xterm (397-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 11 Feb 2025 11:00:27 +0100

xterm (397-1) unstable; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.
  * Update copy of XTerm FAQ to revision 1.419 (dated 2022/12/15).

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 10 Feb 2025 17:49:15 +0100

xterm (396-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Dec 2024 17:40:31 +0100

xterm (396-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 05 Dec 2024 18:25:45 +0100

xterm (395-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 Oct 2024 17:50:23 +0100

xterm (395-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 28 Oct 2024 18:56:33 +0100

xterm (394-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Sep 2024 13:59:21 +0200

xterm (394-1) unstable; urgency=medium

  [ Sven Joachim ]
  * New upstream release.
    - Add null-pointer check for a Heisenbug (Closes: #1078255).
  * Refresh Debian patches.

  [ Kirill Rekhov]
  * Use https URL in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 12 Sep 2024 18:47:28 +0200

xterm (393-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Jul 2024 16:13:14 +0200

xterm (393-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Sun, 14 Jul 2024 17:42:19 +0200

xterm (392-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 May 2024 09:15:25 +0200

xterm (392-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 27 May 2024 18:03:18 +0200

xterm (391-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 May 2024 08:23:03 +0200

xterm (391-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 20 May 2024 17:23:44 +0200

xterm (390-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:32:54 +0000

xterm (390-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libxt6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 01:04:20 +0000

xterm (390-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Feb 2024 08:55:52 +0100

xterm (390-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 21 Feb 2024 18:26:20 +0100

xterm (389-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 04 Jan 2024 08:37:05 +0100

xterm (389-1) unstable; urgency=medium

  * New upstream release.
  * Update years in debian/copyright.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 03 Jan 2024 17:06:48 +0100

xterm (388-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 08:50:24 +0200

xterm (388-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 25 Oct 2023 18:10:45 +0200

xterm (387-1) unstable; urgency=medium

  * New upstream release.

 -- Sven Joachim <svenjoac@gmx.de>  Thu, 19 Oct 2023 18:48:43 +0200

xterm (386-1) unstable; urgency=medium

  * New upstream release.
  * Drop cherry-picked patches.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 13 Oct 2023 18:03:09 +0200

xterm (385-1) unstable; urgency=medium

  * New upstream release.
  * Use the new configure options --with-utmp-path=/var/run/utmp and
    --with-wtmp-path=/var/log/wtmp to ensure correct paths to these files
    in the manpage (Closes: #1042767).
  * Apply patch from xterm 385-a, fixing a typo in aclocal.m4 which
    leads to an incorrect path to the wtmp file in the manpage.
  * Apply patch from xterm 385-b: fix regression in sixel colors.

 -- Sven Joachim <svenjoac@gmx.de>  Sat, 07 Oct 2023 17:20:35 +0200

xterm (384-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2023 09:45:15 +0200

xterm (384-1) unstable; urgency=medium

  * New upstream release.
    - Correct a step in rendering double-width characters with
      bitmap-fonts (report by Peter Fabinski, Closes: #1039986).

 -- Sven Joachim <svenjoac@gmx.de>  Wed, 12 Jul 2023 18:00:23 +0200

xterm (383-1ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jul 2023 01:12:08 +0200

xterm (383-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch RCS-identifiers.diff, applied upstream.

 -- Sven Joachim <svenjoac@gmx.de>  Fri, 30 Jun 2023 17:10:01 +0200

xterm (382-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Add 950_ubuntu_charclass_highlight.diff:
      + Enable URL highlighting.
    - Add Add 951_uxterm_utf8_title.diff:
      + Set utf8Titles to true by default when using uxterm, so that it
        displays utf8 directories in titles properly.  May cause issues with
        apps that use control sequences for updating the xterm titlebar -
        users should use xterm or set utf8Title to false in this case.
    - Modify debian/gbp.conf: Set "debian-branch" to "ubuntu"

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Jun 2023 22:45:34 +0200

xterm (382-2) unstable; urgency=medium

  * Drop alternate build-dependency on bsdmainutils.
  * Upload to unstable.

 -- Sven Joachim <svenjoac@gmx.de>  Mon, 19 Jun 2023 20:43:23 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog xterm`.
